Subject: Document the kamaki client

Description

Please add documentation under https://code.grnet.gr/projects/kamaki/wiki.

The idea is to add whatever is missing from the point of view of the user, so that the client can soon be released in the open.

Examples: Installation instructions [prerequisites, etc], a small getting started guide, examples of basic command usage.

History

#1 - 10/07/2011 12:59 pm - Giorgos Verigakis

I think it is very important that kamaki is tested (and works) with an OpenStack nova installation. Right now it is missing authentication support and

moreover OpenStack has introduced incompatible changes to the API.

An OpenStack installation will be needed and unless we want to support 2 versions of the API, our API will have to be updated to match the latest spec.

Based on this I propose that this ticket is postponed till after the API and clients (UI and kamaki) are updated to the latest version of the spec.

#2 - 10/18/2011 05:45 pm - Vangelis Koukis

- Due date changed from 10/14/2011 to 11/11/2011

#3 - 02/07/2012 12:04 pm - Vangelis Koukis

- Target version changed from v0.8.0 to v0.9.0

Moving to v0.9, pending documentation in view of recent refactoring of ./kamaki code.
